# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDateInternalWeekSelector Class Reference

Week selection widget. More...

`#include <kdatetbl.h>`

Inheritance diagram for KDateInternalWeekSelector:

[legend]
Collaboration diagram for KDateInternalWeekSelector:

[legend]
List of all members.

## Public Slots

void | weekEnteredSlot ()

## Signals

void | closeMe (int)

## Public Member Functions

| KDateInternalWeekSelector (int fontsize, QWidget *parent=0, const char *name=0)
int | getWeek ()
void | setWeek (int week)

## Protected Attributes

QIntValidator * | val
int | result

## Detailed Description

Week selection widget.

Definition at line 33 of file kdatetbl.h.

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:59:33 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001